Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
drafts
/
{draft_id}
Get Draft
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id} \
  --header 'Authorization: Bearer <token>'
{
  "inbox_id": "<string>",
  "draft_id": "<string>",
  "labels": [
    "<string>"
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "client_id": "<string>",
  "reply_to": [
    "<string>"
  ],
  "to": [
    "<string>"
  ],
  "cc": [
    "<string>"
  ],
  "bcc": [
    "<string>"
  ],
  "subject": "<string>",
  "preview": "<string>",
  "text": "<string>",
  "html": "<string>",
  "attachments": [
    {
      "attachment_id": "<string>",
      "size": 123,
      "filename": "<string>",
      "content_type": "<string>",
      "content_id": "<string>"
    }
  ],
  "in_reply_to": "<string>",
  "references": [
    "<string>"
  ],
  "send_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

draft_id
string
required

ID of draft.

Response

Response with status 200

inbox_id
string
required

The ID of the inbox.

draft_id
string
required

ID of draft.

labels
string[]
required

Labels of draft.

updated_at
string<date-time>
required

Time at which draft was last updated.

created_at
string<date-time>
required

Time at which draft was created.

client_id
string

Client ID of draft.

reply_to
string[]

Reply-to addresses. In format username@domain.com or Display Name <username@domain.com>.

to
string[]

Addresses of recipients. In format username@domain.com or Display Name <username@domain.com>.

cc
string[]

Addresses of CC recipients. In format username@domain.com or Display Name <username@domain.com>.

bcc
string[]

Addresses of BCC recipients. In format username@domain.com or Display Name <username@domain.com>.

subject
string

Subject of draft.

preview
string

Text preview of draft.

text
string

Plain text body of draft.

html
string

HTML body of draft.

attachments
Attachment · object[]

Attachments in draft.

in_reply_to
string

ID of message being replied to.

references
string[]

IDs of previous messages in thread.

send_status
enum<string>

Schedule send status of draft.

Available options:
scheduled,
sending,
failed
send_at
string<date-time>

Time at which to schedule send draft.